using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Core.Entities.Base
{
    public interface IEntity
    {
        [Column(Order = 0)]
        long Id { get; set; }
    }

    public interface IEntity<TKey>
    {
        [Column(Order = 0)]
        TKey Id { get; set; }
    }
}
